Index: trunk/BNC/bncwindow.cpp
===================================================================
--- trunk/BNC/bncwindow.cpp	(revision 3781)
+++ trunk/BNC/bncwindow.cpp	(revision 3782)
@@ -79,6 +79,7 @@
   _bncFigureLate = new bncFigureLate(this);
   _bncFigurePPP = new bncFigurePPP(this);
-  _postProcessingRunningPPP  = false;
-  _postProcessingRunningTeqc = false;
+  _runningRealTime           = false;
+  _runningPostProcessingPPP  = false;
+  _runningPostProcessingTeqc = false;
 
   int ww = QFontMetrics(this->font()).width('w');
@@ -120,9 +121,6 @@
   _actDeleteMountPoints->setEnabled(false);
 
-  _actGetData = new QAction(tr("Sta&rt"),this);
-  connect(_actGetData, SIGNAL(triggered()), SLOT(slotGetData()));
-
-  _actPostProcessing = new QAction(tr("Start PPP/Teqc"),this);
-  connect(_actPostProcessing, SIGNAL(triggered()), SLOT(slotStartPostProcessing()));
+  _actStart = new QAction(tr("Sta&rt"),this);
+  connect(_actStart, SIGNAL(triggered()), SLOT(slotStart()));
 
   _actStop = new QAction(tr("Sto&p"),this);
@@ -609,7 +607,4 @@
   _aogroup->addTab(uploadgroup,tr("Upload (clk)"));
   _aogroup->addTab(uploadEphgroup,tr("Upload (eph)"));
-
-  connect(_aogroup, SIGNAL(currentChanged(int)), 
-          this, SLOT(slotEnablePostProcessing()));
 
   // Log Tab
@@ -1213,5 +1208,5 @@
   // ----------
   if ( Qt::CheckState(settings.value("autoStart").toInt()) == Qt::Checked) {
-    slotGetData();
+    slotStart();
   }
 }
@@ -1236,5 +1231,5 @@
   QListIterator<QString> it(settings.value("mountPoints").toStringList());
   if (!it.hasNext()) {
-    _actGetData->setEnabled(false);
+    _actStart->setEnabled(false);
   }
   int iRow = 0;
@@ -1390,5 +1385,5 @@
 
   if (_mountPointsTable->rowCount() == 0) {
-    _actGetData->setEnabled(false);
+    _actStart->setEnabled(false);
   }
 }
@@ -1457,5 +1452,5 @@
   _mountPointsTable->sortItems(1);
   if (mountPoints->count() > 0 && !_actStop->isEnabled()) {
-    _actGetData->setEnabled(true);
+    _actStart->setEnabled(true);
   }
   delete mountPoints;
@@ -1657,5 +1652,5 @@
   delete _caster;    _caster    = 0;
   delete _casterEph; _casterEph = 0;
-  _actGetData->setEnabled(true);
+  _actStart->setEnabled(true);
   _actStop->setEnabled(false);
 }
@@ -1663,5 +1658,5 @@
 // Retrieve Data
 ////////////////////////////////////////////////////////////////////////////
-void bncWindow::slotGetData() {
+void bncWindow::slotStart() {
   slotSaveOptions();
 
@@ -1669,5 +1664,5 @@
 
   _actDeleteMountPoints->setEnabled(false);
-  _actGetData->setEnabled(false);
+  _actStart->setEnabled(false);
   _actStop->setEnabled(true);
 
@@ -1733,5 +1728,5 @@
     delete _caster;    _caster    = 0;
     delete _casterEph; _casterEph = 0;
-    _actGetData->setEnabled(true);
+    _actStart->setEnabled(true);
     _actStop->setEnabled(false);
   }
@@ -1897,7 +1892,6 @@
   toolBar->addAction(_actAddMountPoints);
   toolBar->addAction(_actDeleteMountPoints);
-  toolBar->addAction(_actGetData);
+  toolBar->addAction(_actStart);
   toolBar->addAction(_actStop);
-  toolBar->addAction(_actPostProcessing);
   toolBar->addWidget(new QLabel("                                           "));
   toolBar->addAction(_actwhatsthis);
@@ -2140,32 +2134,4 @@
     enableWidget(!enable10, _teqcNavFileChooser);
     enableWidget(!enable10, _teqcOutLineEdit);
-  }
-
-  slotEnablePostProcessing();
-}
-
-// Enable/Disable Post-Processing Action
-////////////////////////////////////////////////////////////////////////////
-void bncWindow::slotEnablePostProcessing() {
-  if (_actPostProcessing) {
-    if (_postProcessingRunningPPP || _postProcessingRunningTeqc) {
-      _actPostProcessing->setEnabled(false);
-    }
-    else {
-      if      (_aogroup->currentIndex() == _tabIndexPPP1 ||
-               _aogroup->currentIndex() == _tabIndexPPP2) {
-        _actPostProcessing->setText("Start PPP");
-        bool enable = _pppSPPComboBox->currentText() == "Post-Processing";
-        _actPostProcessing->setEnabled(enable);
-      }
-      else if (_aogroup->currentIndex() == _tabIndexTeqc) {
-        _actPostProcessing->setText("Start Teqc");
-        _actPostProcessing->setEnabled(true);
-      }
-      else {
-        _actPostProcessing->setText("Start PPP/Teqc");
-        _actPostProcessing->setEnabled(false);
-      }
-    }
   }
 }
@@ -2346,23 +2312,10 @@
 }
 
-// Start Post-Processing PPP or Teqc (slot)
-////////////////////////////////////////////////////////////////////////////
-void bncWindow::slotStartPostProcessing() {
-  if      (_aogroup->currentIndex() == _tabIndexPPP1 ||
-           _aogroup->currentIndex() == _tabIndexPPP2) {
-    startPostProcessingPPP();
-  }
-  else if (_aogroup->currentIndex() == _tabIndexTeqc) {
-    startPostProcessingTeqc();
-  }
-}
-
 // Start Post-Processing PPP
 ////////////////////////////////////////////////////////////////////////////
 void bncWindow::startPostProcessingPPP() {
 #ifdef USE_POSTPROCESSING
-  _postProcessingRunningPPP = true;
-  slotEnablePostProcessing();
-  _actPostProcessing->setText("0 Epochs");
+  _runningPostProcessingPPP = true;
+  _actStart->setText("0 Epochs");
 
   slotSaveOptions();
@@ -2382,8 +2335,7 @@
 ////////////////////////////////////////////////////////////////////////////
 void bncWindow::slotFinishedPostProcessingPPP() {
-  _postProcessingRunningPPP = false;
+  _runningPostProcessingPPP = false;
   QMessageBox::information(this, "Information",
                            "Post-Processing Thread Finished");
-  slotEnablePostProcessing();
 }
 
@@ -2391,6 +2343,6 @@
 ////////////////////////////////////////////////////////////////////////////
 void bncWindow::slotPostProgress(int nEpo) {
-  if (_actPostProcessing) {
-    _actPostProcessing->setText(QString("%1 Epochs").arg(nEpo));
+  if (_actStart) {
+    _actStart->setText(QString("%1 Epochs").arg(nEpo));
   }
 }
@@ -2399,8 +2351,7 @@
 ////////////////////////////////////////////////////////////////////////////
 void bncWindow::startPostProcessingTeqc() {
-  _postProcessingRunningTeqc = false;  // TODO
+  _runningPostProcessingTeqc = false;  // TODO
   QMessageBox::information(this, "Information",
                            "Teqc-Processing Not Yet Implemented");
-  slotEnablePostProcessing();
 }
 
@@ -2408,8 +2359,7 @@
 ////////////////////////////////////////////////////////////////////////////
 void bncWindow::slotFinishedPostProcessingTeqc() {
-  _postProcessingRunningTeqc = false;
+  _runningPostProcessingTeqc = false;
   QMessageBox::information(this, "Information",
                            "Teqc-Processing Thread Finished");
-  slotEnablePostProcessing();
 }
 