Index: trunk/BNC/bncwindow.cpp
===================================================================
--- trunk/BNC/bncwindow.cpp	(revision 3805)
+++ trunk/BNC/bncwindow.cpp	(revision 3806)
@@ -841,7 +841,7 @@
   _pppRefCrdYLineEdit->setMaximumWidth(10*ww);
   _pppRefCrdZLineEdit->setMaximumWidth(10*ww);
-  _pppRefdNLineEdit->setMaximumWidth(5*ww);
-  _pppRefdELineEdit->setMaximumWidth(5*ww);
-  _pppRefdULineEdit->setMaximumWidth(5*ww);
+  _pppRefdNLineEdit->setMaximumWidth(6*ww);
+  _pppRefdELineEdit->setMaximumWidth(6*ww);
+  _pppRefdULineEdit->setMaximumWidth(6*ww);
   _pppSync->setMaximumWidth(6*ww);
   _pppSPPComboBox->setMinimumWidth(15*ww); 
@@ -861,7 +861,7 @@
   pppLayout->addWidget(new QLabel("Mode & Mountpnts"), ir, 0, 1, 10);
   pppLayout->addWidget(_pppSPPComboBox,                ir,10, 1, 20);
-  pppLayout->addWidget(_pppMountLineEdit,              ir,30, 1, 15, Qt::AlignRight);
-  pppLayout->addWidget(new QLabel("Obs."),             ir,45, 1,  5);
-  pppLayout->addWidget(_pppCorrMountLineEdit,          ir,50, 1, 13, Qt::AlignRight);
+  pppLayout->addWidget(_pppMountLineEdit,              ir,30, 1, 19, Qt::AlignRight);
+  pppLayout->addWidget(new QLabel("Obs."),             ir,49, 1,  5);
+  pppLayout->addWidget(_pppCorrMountLineEdit,          ir,54, 1,  9, Qt::AlignRight);
   pppLayout->addWidget(new QLabel("Corr."),            ir,63, 1, 10);
   ++ir;
@@ -869,7 +869,7 @@
   pppLayout->addWidget(_pppRefCrdXLineEdit,            ir,10, 1, 20, Qt::AlignRight);
   pppLayout->addWidget(new QLabel("X     "),           ir,30, 1,  5);
-  pppLayout->addWidget(_pppRefCrdYLineEdit,            ir,35, 1, 10, Qt::AlignRight);
-  pppLayout->addWidget(new QLabel("Y"),                ir,45, 1,  5);
-  pppLayout->addWidget(_pppRefCrdZLineEdit,            ir,50, 1, 13, Qt::AlignRight);
+  pppLayout->addWidget(_pppRefCrdYLineEdit,            ir,35, 1, 14, Qt::AlignRight);
+  pppLayout->addWidget(new QLabel("Y"),                ir,49, 1,  5);
+  pppLayout->addWidget(_pppRefCrdZLineEdit,            ir,54, 1,  9, Qt::AlignRight);
   pppLayout->addWidget(new QLabel("Z"),                ir,63, 1, 10);
   ++ir;
@@ -877,7 +877,7 @@
   pppLayout->addWidget(_pppRefdNLineEdit,              ir,10, 1, 20, Qt::AlignRight);
   pppLayout->addWidget(new QLabel("dN"),               ir,30, 1,  5);
-  pppLayout->addWidget(_pppRefdELineEdit,              ir,35, 1, 10, Qt::AlignRight);
-  pppLayout->addWidget(new QLabel("dE"),               ir,45, 1,  5);
-  pppLayout->addWidget(_pppRefdULineEdit,              ir,50, 1, 13, Qt::AlignRight);
+  pppLayout->addWidget(_pppRefdELineEdit,              ir,35, 1, 14, Qt::AlignRight);
+  pppLayout->addWidget(new QLabel("dE"),               ir,49, 1,  5);
+  pppLayout->addWidget(_pppRefdULineEdit,              ir,54, 1,  9, Qt::AlignRight);
   pppLayout->addWidget(new QLabel("dU"),               ir,63, 1, 10);
   ++ir;
@@ -887,5 +887,5 @@
   pppLayout->addWidget(_pppNMEAPortLineEdit,           ir,40, 1, 10);
   pppLayout->addWidget(new QLabel("NMEA Port"),        ir,50, 1, 10);
-  pppLayout->addWidget(_pppPlotCoordinates,            ir,60, 1, 3);
+  pppLayout->addWidget(_pppPlotCoordinates,            ir,60, 1,  3, Qt::AlignRight);
   pppLayout->addWidget(new QLabel("PPP Plot"),         ir,63, 1, 10);
   ++ir;
@@ -893,8 +893,8 @@
   pppLayout->addWidget(_postObsFileChooser,            ir,10, 1, 25);
   pppLayout->addWidget(new QLabel("Obs    "),          ir,35, 1,  5);
-  pppLayout->addWidget(_postNavFileChooser,            ir,40, 1, 20);
-  pppLayout->addWidget(new QLabel("Nav   "),           ir,60, 1, 5);
-  pppLayout->addWidget(_postCorrFileChooser,           ir,65, 1, 22);
-  pppLayout->addWidget(new QLabel("Corr"),             ir,87, 1, 5);
+  pppLayout->addWidget(_postNavFileChooser,            ir,40, 1, 16);
+  pppLayout->addWidget(new QLabel("Nav   "),           ir,56, 1, 5);
+  pppLayout->addWidget(_postCorrFileChooser,           ir,61, 1, 22);
+  pppLayout->addWidget(new QLabel("Corr"),             ir,83, 1, 9);
   ++ir;
   pppLayout->addWidget(new QLabel("Post-Proc. cont'd"),ir, 0, 1, 10);