Index: /trunk/BNC/bnc.pro
===================================================================
--- /trunk/BNC/bnc.pro	(revision 3825)
+++ /trunk/BNC/bnc.pro	(revision 3826)
@@ -116,7 +116,9 @@
   DEFINES += USE_POSTPROCESSING
   HEADERS += rinex/bncpostprocess.h   rinex/rnxobsfile.h   \
-             rinex/rnxnavfile.h       rinex/corrfile.h
+             rinex/rnxnavfile.h       rinex/corrfile.h     \
+             rinex/teqcedit.h         rinex/teqcanalyze.h
   SOURCES += rinex/bncpostprocess.cpp rinex/rnxobsfile.cpp \
-             rinex/rnxnavfile.cpp     rinex/corrfile.cpp
+             rinex/rnxnavfile.cpp     rinex/corrfile.cpp   \
+             rinex/teqcedit.cpp       rinex/teqcanalyze.cpp
 }
 
Index: /trunk/BNC/bncwindow.cpp
===================================================================
--- /trunk/BNC/bncwindow.cpp	(revision 3825)
+++ /trunk/BNC/bncwindow.cpp	(revision 3826)
@@ -65,4 +65,6 @@
 #ifdef USE_POSTPROCESSING
 #  include "rinex/bncpostprocess.h"
+#  include "rinex/teqcedit.h"
+#  include "rinex/teqcanalyze.h"
 #endif
 
@@ -2515,8 +2517,18 @@
 void bncWindow::startPostProcessingTeqc() {
 #ifdef USE_POSTPROCESSING
-  _runningPostProcessingTeqc = false;  // TODO
+  _runningPostProcessingTeqc = true;
   enableStartStop();
-  QMessageBox::information(this, "Information",
-                           "Teqc-Processing Not Yet Implemented");
+  if (_teqcActionComboBox->currentText() == "Analyze") {
+    t_teqcAnalyze* teqcAnalyze = new t_teqcAnalyze(this);
+    connect(teqcAnalyze, SIGNAL(finished()), 
+            this, SLOT(slotFinishedPostProcessingTeqc()));
+    teqcAnalyze->start();
+  }
+  else {
+    t_teqcEdit* teqcEdit = new t_teqcEdit(this);
+    connect(teqcEdit, SIGNAL(finished()), 
+            this, SLOT(slotFinishedPostProcessingTeqc()));
+    teqcEdit->start();
+  }
 #else
   QMessageBox::information(this, "Information",
Index: /trunk/BNC/rinex/teqcanalyze.cpp
===================================================================
--- /trunk/BNC/rinex/teqcanalyze.cpp	(revision 3826)
+++ /trunk/BNC/rinex/teqcanalyze.cpp	(revision 3826)
@@ -0,0 +1,67 @@
+// Part of BNC, a utility for retrieving decoding and
+// converting GNSS data streams from NTRIP broadcasters.
+//
+// Copyright (C) 2007
+// German Federal Agency for Cartography and Geodesy (BKG)
+// http://www.bkg.bund.de
+// Czech Technical University Prague, Department of Geodesy
+// http://www.fsv.cvut.cz
+//
+// Email: euref-ip@bkg.bund.de
+//
+// This program is free software; you can redistribute it and/or
+// modify it under the terms of the GNU General Public License
+// as published by the Free Software Foundation, version 2.
+//
+// This program is distributed in the hope that it will be useful,
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
+// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+// GNU General Public License for more details.
+//
+// You should have received a copy of the GNU General Public License
+// along with this program; if not, write to the Free Software
+// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
+
+/* -------------------------------------------------------------------------
+ * BKG NTRIP Client
+ * -------------------------------------------------------------------------
+ *
+ * Class:      t_teqcAnalyze
+ *
+ * Purpose:    Analyze RINEX Files
+ *
+ * Author:     L. Mervart
+ *
+ * Created:    11-Apr-2012
+ *
+ * Changes:    
+ *
+ * -----------------------------------------------------------------------*/
+
+#include <iostream>
+#include "teqcanalyze.h"
+#include "bncsettings.h"
+
+using namespace std;
+
+// Constructor
+////////////////////////////////////////////////////////////////////////////
+t_teqcAnalyze::t_teqcAnalyze(QObject* parent) : QThread(parent) {
+
+  bncSettings settings;
+}
+
+// Destructor
+////////////////////////////////////////////////////////////////////////////
+t_teqcAnalyze::~t_teqcAnalyze() {
+}
+
+//  
+////////////////////////////////////////////////////////////////////////////
+void t_teqcAnalyze::run() {
+
+  cout << "Teqc Analyze Running ..." << endl;
+
+  emit finished();
+  deleteLater();
+}
Index: /trunk/BNC/rinex/teqcanalyze.h
===================================================================
--- /trunk/BNC/rinex/teqcanalyze.h	(revision 3826)
+++ /trunk/BNC/rinex/teqcanalyze.h	(revision 3826)
@@ -0,0 +1,50 @@
+// Part of BNC, a utility for retrieving decoding and
+// converting GNSS data streams from NTRIP broadcasters.
+//
+// Copyright (C) 2007
+// German Federal Agency for Cartography and Geodesy (BKG)
+// http://www.bkg.bund.de
+// Czech Technical University Prague, Department of Geodesy
+// http://www.fsv.cvut.cz
+//
+// Email: euref-ip@bkg.bund.de
+//
+// This program is free software; you can redistribute it and/or
+// modify it under the terms of the GNU General Public License
+// as published by the Free Software Foundation, version 2.
+//
+// This program is distributed in the hope that it will be useful,
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
+// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+// GNU General Public License for more details.
+//
+// You should have received a copy of the GNU General Public License
+// along with this program; if not, write to the Free Software
+// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
+
+#ifndef TEQCANALYZE_H
+#define TEQCANALYZE_H
+
+#include <QtCore>
+
+class t_teqcAnalyze : public QThread {
+Q_OBJECT
+ 
+ public:
+  t_teqcAnalyze(QObject* parent);
+
+ protected:
+  ~t_teqcAnalyze();
+
+ signals:
+  void finished();
+   
+ public slots:
+
+ public:
+  virtual void run();
+ 
+ private:
+};
+
+#endif
Index: /trunk/BNC/rinex/teqcedit.cpp
===================================================================
--- /trunk/BNC/rinex/teqcedit.cpp	(revision 3826)
+++ /trunk/BNC/rinex/teqcedit.cpp	(revision 3826)
@@ -0,0 +1,67 @@
+// Part of BNC, a utility for retrieving decoding and
+// converting GNSS data streams from NTRIP broadcasters.
+//
+// Copyright (C) 2007
+// German Federal Agency for Cartography and Geodesy (BKG)
+// http://www.bkg.bund.de
+// Czech Technical University Prague, Department of Geodesy
+// http://www.fsv.cvut.cz
+//
+// Email: euref-ip@bkg.bund.de
+//
+// This program is free software; you can redistribute it and/or
+// modify it under the terms of the GNU General Public License
+// as published by the Free Software Foundation, version 2.
+//
+// This program is distributed in the hope that it will be useful,
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
+// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+// GNU General Public License for more details.
+//
+// You should have received a copy of the GNU General Public License
+// along with this program; if not, write to the Free Software
+// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
+
+/* -------------------------------------------------------------------------
+ * BKG NTRIP Client
+ * -------------------------------------------------------------------------
+ *
+ * Class:      t_teqcEdit
+ *
+ * Purpose:    Edit/Concatenate RINEX Files
+ *
+ * Author:     L. Mervart
+ *
+ * Created:    11-Apr-2012
+ *
+ * Changes:    
+ *
+ * -----------------------------------------------------------------------*/
+
+#include <iostream>
+#include "teqcedit.h"
+#include "bncsettings.h"
+
+using namespace std;
+
+// Constructor
+////////////////////////////////////////////////////////////////////////////
+t_teqcEdit::t_teqcEdit(QObject* parent) : QThread(parent) {
+
+  bncSettings settings;
+}
+
+// Destructor
+////////////////////////////////////////////////////////////////////////////
+t_teqcEdit::~t_teqcEdit() {
+}
+
+//  
+////////////////////////////////////////////////////////////////////////////
+void t_teqcEdit::run() {
+
+  cout << "Teqc Edit Running ..." << endl;
+
+  emit finished();
+  deleteLater();
+}
Index: /trunk/BNC/rinex/teqcedit.h
===================================================================
--- /trunk/BNC/rinex/teqcedit.h	(revision 3826)
+++ /trunk/BNC/rinex/teqcedit.h	(revision 3826)
@@ -0,0 +1,50 @@
+// Part of BNC, a utility for retrieving decoding and
+// converting GNSS data streams from NTRIP broadcasters.
+//
+// Copyright (C) 2007
+// German Federal Agency for Cartography and Geodesy (BKG)
+// http://www.bkg.bund.de
+// Czech Technical University Prague, Department of Geodesy
+// http://www.fsv.cvut.cz
+//
+// Email: euref-ip@bkg.bund.de
+//
+// This program is free software; you can redistribute it and/or
+// modify it under the terms of the GNU General Public License
+// as published by the Free Software Foundation, version 2.
+//
+// This program is distributed in the hope that it will be useful,
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
+// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+// GNU General Public License for more details.
+//
+// You should have received a copy of the GNU General Public License
+// along with this program; if not, write to the Free Software
+// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
+
+#ifndef TEQCEDIT_H
+#define TEQCEDIT_H
+
+#include <QtCore>
+
+class t_teqcEdit : public QThread {
+Q_OBJECT
+ 
+ public:
+  t_teqcEdit(QObject* parent);
+
+ protected:
+  ~t_teqcEdit();
+
+ signals:
+  void finished();
+   
+ public slots:
+
+ public:
+  virtual void run();
+ 
+ private:
+};
+
+#endif