Index: trunk/BNC/bnchelp.html
===================================================================
--- trunk/BNC/bnchelp.html	(revision 3963)
+++ trunk/BNC/bnchelp.html	(revision 3968)
@@ -76,20 +76,20 @@
 The first of the following figures shows a flow chart of BNC connected to a GNSS receiver via serial or TCP communication link for the pupose of Precise Point Positioning. The second figure shows the conversion of RTCM streams to RINEX files. The third figure shows a flow chart of BNC feeding a real-time GNSS engine. The engine then estimates satellite orbit and clock correctors. BNC is used in this scenario to encode correctors to RTCM Version 3 and upload them to an NTRIP Broadcaster..
 </p>
-<p><img src=":bnchelp/screenshot10.png"/></p>
+<p><img src="IMG/screenshot10.png"/></p>
 <p><u>Figure:</u> Flowchart, BNC connected to a GNSS receiver for Precise Point Positioning.</p>
 
 <p>
 </p>
-<p><img src=":bnchelp/screenshot01.png"/></p>
+<p><img src="IMG/screenshot01.png"/></p>
 <p><u>Figure:</u> Flowchart, BNC converting RTCM streams to RINEX batches.</p>
 
 <p>
 </p>
-<p><img src=":bnchelp/screenshot02.png"/></p>
+<p><img src="IMG/screenshot02.png"/></p>
 <p><u>Figure:</u> Flowchart, BNC feeding a real-time GNSS engine and uploading an encoded Broadcast Ephemeris corrections stream.</p>
 
 <p>
 </p>
-<p><img src=":bnchelp/screenshot19.png"/></p>
+<p><img src="IMG/screenshot19.png"/></p>
 <p><u>Figure:</u> Flowchart, BNC combining orbit/clock correctors streams.</p>
 
@@ -117,5 +117,5 @@
 The main window of BNC shows a top menu bar section, a sections for tabs to set processing options, a 'Streams' section and a section for 'Log' tabs, and a bottom menu bar section, see figure below.
 </p>
-<p><img src=":bnchelp/screenshot09.png"/></p>
+<p><img src="IMG/screenshot09.png"/></p>
 <p><u>Figure:</u> Sections on BNC's main window.</p>
 
@@ -392,5 +392,5 @@
 The screenshot below shows an example setup of BNC when converting streams to RINEX. Streams are coming from various NTRIP broadcasters as well as via a plain UDP and a serial communication link. Decoder 'ZERO' has been selected for one stream to not convert its contents but save it in original format.
 </p>
-<p><img src=":bnchelp/screenshot16.png"/></p>
+<p><img src="IMG/screenshot16.png"/></p>
 <p><u>Figure:</u> BNC translating incoming streams to 15 min RINEX Version 3 files.</p>
 
@@ -577,5 +577,5 @@
 
 </p>
-<p><img src=":bnchelp/screenshot25.png"/></p>
+<p><img src="IMG/screenshot25.png"/></p>
 <p><u>Figure:</u> Example for RINEX file editing with BNC in post-processing mode.</p>
 
@@ -890,5 +890,5 @@
 The following figure shows the screenshot of a BNC configuration where a number of streams is pulled from different NTRIP broadcasters to feed a GNSS engine via IP port output.
 </p>
-<p><img src=":bnchelp/screenshot12.png"/></p>
+<p><img src="IMG/screenshot12.png"/></p>
 <p><u>Figure:</u> Synchronized BNC output via IP port to feed a GNSS real-time engine.</p>
 
@@ -928,5 +928,5 @@
 You may use BNC to feed a serial connected device like an GNSS receiver. For that one of the incoming streams can be forwarded to a serial port. The following figure shows the screenshot of an example situation where BNC pulls a VRS stream from an NTRIP broadcaster to feed a serial connected rover. 
 </p>
-<p><img src=":bnchelp/screenshot11.png"/></p>
+<p><img src="IMG/screenshot11.png"/></p>
 <p><u>Figure:</u> BNC pulling a VRS stream to feed a serial connected rover.</p>
 
@@ -1076,5 +1076,5 @@
 The following figure shows RTCM message numbers contained in stream 'CONZ0' and the message latencies recorded every 10 seconds.
 </p>
-<p><img src=":bnchelp/screenshot14.png"/></p>
+<p><img src="IMG/screenshot14.png"/></p>
 <p><u>Figure:</u> RTCM message numbers and latencies.</p>
 
@@ -1151,8 +1151,8 @@
 </p>
 
-<p><img src=":bnchelp/screenshot03.png"/></p>
+<p><img src="IMG/screenshot03.png"/></p>
 <p><u>Figure:</u> Precise Point Positioning with BNC, PPP Panel 1.</p>
 
-<p><img src=":bnchelp/screenshot18.png"/></p>
+<p><img src="IMG/screenshot18.png"/></p>
 <p><u>Figure:</u> Precise Point Positioning with BNC, PPP Panel 2.</p>
 
@@ -1441,8 +1441,8 @@
 </p>
 
-<p><img src=":bnchelp/screenshot17.png"/></p>
+<p><img src="IMG/screenshot17.png"/></p>
 <p><u>Figure:</u> BNC in 'Quick-Start' mode (PPP, Panel 1)</p>
 
-<p><img src=":bnchelp/screenshot22.png"/></p>
+<p><img src="IMG/screenshot22.png"/></p>
 <p><u>Figure:</u> BNC in 'Quick-Start' mode (PPP, Panel 2)</p>
 
@@ -1580,11 +1580,11 @@
 
 <br>
-<p><img src=":bnchelp/screenshot20.png"/></p>
+<p><img src="IMG/screenshot20.png"/></p>
 <p><u>Figure:</u> BNC combining orbit/clock correctors streams.</p>
 <p></p>
-<p><img src=":bnchelp/screenshot21.png"/></p>
+<p><img src="IMG/screenshot21.png"/></p>
 <p><u>Figure:</u> BNC uploading the combined orbit/clock correctors stream.</p>
 <p></p>
-<p><img src=":bnchelp/screenshot23.png"/></p>
+<p><img src="IMG/screenshot23.png"/></p>
 <p><u>Figure:</u> 'INTERNAL' PPP with BNC using combined orbit/clock correctors stream.</p>
 
@@ -2023,5 +2023,5 @@
 </p>
 
-<p><img src=":bnchelp/screenshot08.png"/></p>
+<p><img src="IMG/screenshot08.png"/></p>
 <p><u>Figure:</u> Bandwidth consumption of incoming streams.</p>
 
@@ -2031,5 +2031,5 @@
 </p>
 
-<p><img src=":bnchelp/screenshot07.png"/></p>
+<p><img src="IMG/screenshot07.png"/></p>
 <p><u>Figure:</u> Latency of incoming streams.</p>
 
@@ -2039,5 +2039,5 @@
 </p>
 
-<p><img src=":bnchelp/screenshot13.png"/></p>
+<p><img src="IMG/screenshot13.png"/></p>
 <p><u>Figure:</u> Time series plot of PPP session.</p>
 
@@ -2047,5 +2047,5 @@
 </p>
 
-<p><img src=":bnchelp/screenshot06.png"/></p>
+<p><img src="IMG/screenshot06.png"/></p>
 <p><u>Figure:</u> Steam input communication links.</p>
 
@@ -2066,5 +2066,5 @@
 </p> 
 </p>
-<p><img src=":bnchelp/screenshot04.png"/></p>
+<p><img src="IMG/screenshot04.png"/></p>
 
 <p><u>Figure:</u> Casters table.</p>
@@ -2092,5 +2092,5 @@
 Hit 'OK' to return to the main window. If you wish you can click on 'Add Stream' and repeat the process again to retrieve streams from different casters.
 </p> 
-<p><img src=":bnchelp/screenshot05.png"/></p>
+<p><img src="IMG/screenshot05.png"/></p>
 <p><u>Figure:</u> Broadcaster source-table.</p>
 
@@ -2098,5 +2098,5 @@
 
 </p> 
-<p><img src=":bnchelp/screenshot24.png"/></p> weber
+<p><img src="IMG/screenshot24.png"/></p>
 <p><u>Figure:</u> Stream distribution map derived from NTRIP Caster source-table.</p>
 
@@ -2199,5 +2199,5 @@
 The following figure shows a BNC example setup for pulling a stream via serial port on a Linux operating system.
 </p>
-<p><img src=":bnchelp/screenshot15.png"/></p>
+<p><img src="IMG/screenshot15.png"/></p>
 <p><u>Figure:</u> BNC setup for pulling a stream via serial port.</p>
 