Index: trunk/BNC/bnchelp.html
===================================================================
--- trunk/BNC/bnchelp.html	(revision 4044)
+++ trunk/BNC/bnchelp.html	(revision 4045)
@@ -1589,4 +1589,8 @@
 </p>
 
+<p>
+The following screenshots describe an example setup of BNC when combining orbit and clock correctors streams and upload them to an NTRIP broadcaster. Note that it requires to specify options under tabs 'Combination' and 'Upload (clk)'. The example uses the combination product to simultaneously carry out an 'INTERNAL' PPP solution in Quickstart mode which allows to monitor the quality of the combination product in the space domain. 
+</p>
+
 <br>
 <p><img src="IMG/screenshot20.png"/></p>
@@ -1642,5 +1646,5 @@
 
 <p>
-Below you find an example of precise clocks and orbits coming in ASCII format from a real-time GNSS engine. Each epoch starts with an asterisk character followed by the time as year, month, day of month, hour, minute and second. Subsequent records provide the following set of parameters for each satellite:
+Below you find an example of precise clocks and orbits coming in ASCII format (named 'RTNET' in this document) from a real-time GNSS engine. Each epoch starts with an asterisk character followed by the time as year, month, day of month, hour, minute and second. Subsequent records provide the following set of parameters for each satellite:
 </p>
 
@@ -1658,5 +1662,5 @@
 </ul>
 </p>
-Example:
+Example for 'RTNET' stream format:
 </p>
 <p>
@@ -1671,53 +1675,10 @@
 PG02  13499.913230  23158.540481  -1230.022763    386.539840     -0.009664  -0.392  -0.672   0.036  -0.007   1.778  60.0  13488.200264  23175.574718  -1044.681214
 PG03 -16691.614702 -11720.144912 -17619.363518     35.472262     -0.007906   1.785   0.965   1.939  -0.171  -0.769  60.0 -16563.914187 -11742.834794 -17725.636699
-PG04   5147.454232  24213.520363   8929.648503    152.408370      0.009105  -0.395  -2.334  -0.576   0.329  -0.374  60.0   5095.696936  24159.763681   9100.580603
-PG05   8199.681061  14524.295192 -20666.901024   -304.556229      0.006121  -0.254  -0.450   0.640   0.538   0.410  60.0   8110.266599  14653.834167 -20609.862603
-PG06 -12490.024487 -13774.113397 -18939.838585     30.773632      0.016531   1.406   1.257   2.192   0.053  -0.660  60.0 -12343.968846 -13785.014131 -19025.117946
-PG07 -11684.318940   9609.546438 -21788.179293     72.361764     -0.011556   0.376  -0.309   0.701   0.418   0.514  60.0 -11760.941155   9461.982248 -21812.954611
-PG08  -3429.949644  20170.680101 -16536.787614      1.036385     -0.017246   0.264  -2.155   1.418  -0.195  -0.779  60.0  -3485.781360  20054.973670 -16668.146639
-PG09  17684.609183   9449.468888  16847.943927    151.265575     -0.023849  -1.616  -1.146  -1.487  -0.058  -0.499  60.0  17739.820291   9572.037255  16724.094131
-PG10  -7171.619787  23475.659108  -9870.935060    -35.301397      0.024124   0.482  -2.382   0.810  -0.649  -1.121  60.0  -7228.156412  23526.121878  -9701.522011
-PG11 -21797.147668  -8873.529073  12227.095918   -251.178105     -0.029169   0.938   0.382  -0.526   0.123   0.646  60.0 -21845.673276  -8960.397875  12082.724887
-PG12  17256.064019  -1462.123071  20079.166108     63.315035     -0.008290  -0.547   0.046  -0.637   0.423   0.732  60.0  17175.591857  -1331.477082  20158.210854
-PG13 -21722.707039   6409.707935 -14094.452453    213.657568      0.005348   1.131  -0.334   0.734   0.413   0.550  60.0 -21825.396583   6386.859911 -13944.352139
-PG14   4317.803223 -14429.856940  22040.515922    200.023528      0.007935  -0.218   0.727  -1.111  -0.003   0.135  60.0   4481.702446 -14410.153809  22019.702199
-PG15  26255.768059   3169.521266  -3483.768447    -91.427253      0.001136  -0.670  -0.081   0.089   0.507   0.366  60.0  26228.264758   3187.345960  -3668.849339
-PG16  -6871.983880 -14678.438723 -20962.498245   -231.208525      0.014077   0.391   0.834   1.192  -0.212   0.308  60.0  -6776.422395 -14806.552575 -20901.611831
-PG17  -6752.713099  14407.294837  21407.369560    136.083413      0.013638   0.209  -0.447  -0.664   0.419   0.473  60.0  -6912.573473  14390.451349  21365.912536
-PG18  17088.634758 -19368.033591  -4939.970430    190.837484      0.019535  -0.839   0.951   0.242  -0.109   0.532  60.0  17086.233908 -19320.001987  -5122.382303
-PG19 -25011.805847  -7543.212946  -5867.487675   -255.233636      0.002357   0.794   0.239   0.186  -0.552   1.220  60.0 -24965.656184  -7551.690637  -6049.193308
-PG20 -18841.505094   6965.249535  17182.564174     63.222660      0.003952   0.958  -0.354  -0.873  -0.425  -0.056  60.0 -18786.327583   6842.428954  17291.371833
-PG21   9330.432080 -14154.469089 -19829.716458   -217.053272     -0.015393  -0.503   0.763   1.068  -0.241   0.538  60.0   9411.436348 -14016.982084 -19891.120565
-PG22   8014.457027 -23816.907762   8586.611653    143.319205      0.013508  -0.273   0.812  -0.293  -0.690   1.707  60.0   8067.546077 -23858.453645   8415.615001
-PG23 -26525.612654    803.337131  -3420.841406    215.106105     -0.004832   0.801  -0.024   0.103   0.217   2.296  60.0 -26550.010875    786.950536  -3234.025590
-PG25  18587.228189 -15379.779728  11016.621143     32.973463      0.000362  -1.397   0.650  -0.739  -0.146  -2.655  60.0  18553.913558 -15300.532744  11181.803660
-PG26  17670.417878  12995.365628 -15864.117979   -297.755767     -0.019224  -1.482  -1.423   1.380   0.177  -0.451  60.0  17557.103168  12986.961715 -15999.469844
-PG27  18461.536980  14816.100721  13137.074780    377.035057      0.023153  -1.700  -1.671  -1.153  -0.072  -0.777  60.0  18500.702968  14899.901334  12981.486032
-PG28 -10624.680737  23285.164860   7197.842006    133.068444      0.040826   0.417  -0.913  -0.282  -0.099   0.416  60.0 -10664.436095  23318.232706   7014.363003
-PG30   -819.611106 -21983.021001 -15233.583973   -129.194018      0.018354   0.080   1.995   1.722  -0.368  -0.772  60.0   -758.686823 -22077.544145 -15096.162479
-PG31  -5529.223772 -24391.261858   8755.704301    230.777400     -0.017198   0.203   0.894  -0.321   0.453   0.974  60.0  -5488.277358 -24337.847364   8933.598841
+...
 PG32 -16198.232316  -3364.836652  20899.169198   -432.258718     -0.025811   1.728   0.075  -2.191  -0.370  -1.040  60.0 -16107.271625  -3493.294042  20951.654447
 PR01  18574.288277 -17410.663026  -1754.600023   -178.990271     -0.000082  -1.469   2.095   0.024   0.000   0.188  60.0  18556.963974 -17406.362476  -1967.750384
 PR02   8030.345235 -18665.480490  15430.035833   -298.816088     -0.000568  -0.516   2.171  -1.184   0.000   0.221  60.0   8114.572636 -18759.449343  15271.294411
 PR03  -6108.423573  -9263.873363  23002.679850   -129.074986      0.000627   0.523   1.396  -2.019   0.000   1.568  60.0  -5976.535477  -9398.317054  22982.703956
-PR05 -18580.110168  17371.358969   1860.902871   -172.406517      0.000962   2.163  -1.305  -0.331   0.000  -0.790  60.0 -18562.203611  17366.209762   2074.064549
-PR06  -8625.422521  18801.811820 -14963.632660     14.552237      0.000181   1.110  -1.448   1.737   0.000   0.341  60.0  -8706.311837  18893.360234 -14800.553770
-PR07   6035.613837   9291.742041 -22945.837148    -17.676707     -0.000494  -0.643  -0.386   2.395   0.000   1.226  60.0   5903.256116   9426.598991 -22925.315060
-PR08  17668.480220  -5786.102455 -17467.835961    -24.677645      0.000184  -1.723   1.108   1.626   0.000   1.901  60.0  17563.365117  -5687.534432 -17605.641905
-PR09   2337.014892  24158.068670  -8038.516890    -33.319754     -0.000006  -0.436  -2.093   1.223   0.000  -0.903  60.0   2331.372188  24090.818683  -8239.461877
-PR10   9995.204842  21737.929307   8718.612387    -72.787544     -0.000213  -1.190  -1.746  -1.202   0.000  -2.322  60.0  10026.967939  21803.064983   8517.241583
-PR11  12014.381515   6892.546591  21436.938042    -67.030252     -0.003989  -1.166  -0.133  -2.191   0.000  -0.482  60.0  12066.290242   7060.664710  21353.407397
-PR12   6798.569482 -12797.287626  21004.267836   -126.324755      0.007877  -0.537   1.728  -1.821   0.000  -1.805  60.0   6836.879841 -12628.301781  21092.912425
-PR13  -2667.481413 -23986.906520   8242.803705   -343.366510      0.001546   0.015   2.457  -0.326   0.000  -0.344  60.0  -2661.022748 -23917.311938   8444.156216
-PR14 -10062.783370 -21777.403847  -8794.541150    112.868020      0.000196   0.727   2.413   0.472   0.000  -2.056  60.0 -10095.156034 -21842.346391  -8594.036123
-PR15 -11504.938976  -4004.810553 -22388.276040     89.248774      0.004840   1.137   0.929   2.101   0.000  -0.898  60.0 -11557.722878  -4181.313203 -22328.158033
-PR16  -6797.859632  12797.076182 -21004.838743    -22.677594     -0.004837   0.801  -0.792   2.315   0.000  -1.026  60.0  -6836.678684  12628.802549 -21094.514440
-PR17 -18473.784287 -11473.385549 -13281.955384     21.350585      0.001349   1.629   1.584   1.066   0.000   1.290  60.0 -18369.497166 -11436.577650 -13456.919027
-PR18 -24794.009116  -4761.682164   4061.622537    -40.115264      0.001474   2.261   0.984  -0.460   0.000  -1.122  60.0 -24827.917682  -4759.428593   3850.654190
-PR19 -16724.872709   4429.830447  18750.467480   -195.348781      0.000225   1.663   0.101  -1.940   0.000   1.888  60.0 -16874.466183   4394.891276  18624.201882
-PR20   1672.228853  11517.083880  22704.114019    -81.277196     -0.003059  -0.159  -0.619  -2.425   0.000  -0.651  60.0   1493.015439  11465.105525  22743.243197
-PR21  18307.675904  11592.177991  13538.018145    -71.959507      0.002362  -1.815  -0.577  -1.448   0.000   1.907  60.0  18202.189799  11554.354847  13711.012428
-PR22  24697.814259   4939.465265  -3480.734975     41.074668      0.000296  -2.458   0.059   0.257   0.000   0.369  60.0  24727.320371   4937.182991  -3267.766740
-PR23  16657.060796  -4671.128867 -18745.306107   -381.408493     -0.000069  -1.485   0.958   1.596   0.000  -1.041  60.0  16807.003420  -4637.616063 -18619.375556
+...
 PR24   -820.514575 -11356.881507 -22839.954618    -67.978328     -0.000026   0.087   1.593   1.979   0.000   0.628  60.0   -639.657024 -11307.160404 -22870.387083
 EOE
@@ -1915,7 +1876,4 @@
 The file names for the daily SP3 files follow the convention for SP3 file names. The first three characters of each file name are set to 'BNC'. Note that clocks in the SP3 orbit files are not corrected for the conventional periodic relativistic effect.
 </p>
-<p>
-The following screenshots describe an example setup of BNC when combining orbit and clock correctors streams. Note that it requires to specify options under the tabs 'Combination', 'Broadcast Corrections' and 'PPP (2)'. The example also uses the combination product to simultaneously carry out a PPP solution with options shown in tab 'PPP (1)' - which enables to monitor the quality of the combination product in the space domain. 
-</p>
 
 <p><a name="uprinex"><h4>3.14.6 RNX File - optional</h4></p>
@@ -1943,4 +1901,10 @@
 <p><a name="upcustom"><h4>3.14.10 Custom Trafo - optional if 'Upload Table' entries specified</h4></p>
 <p>Hit 'Custom Trafo' to specify your own 14 parameter Helmert Transformation instead of selecting a predefined transformation through 'System' button.</p>
+
+<p>
+The following screenshot shows the encoding and uploading of a stream of precise orbits and clocks coming form a real-time engine in 'RTNET' ASCII format. The stream is uploaded to NTRIP broadcaster 'products.igs-ip.net'. It is referred to APC and IGS08. Uploaded data are locally saved in SP3 and clock RINEX format. Required Broadcast Ephemeris are received via stream 'RTCM3EPH'.
+</p>
+<p><img src="IMG/screenshot26.png"/></p>
+<p><u>Figure:</u> Producing Broadcast Corrections from incoming precise orbits and clocks and uploading them to an NTRIP broadcaster.</p>
 
 <p><a name="upeph"><h4>3.15. Upload (eph) </h4></p>