Index: /trunk/BNC/bncwindow.cpp
===================================================================
--- /trunk/BNC/bncwindow.cpp	(revision 4110)
+++ /trunk/BNC/bncwindow.cpp	(revision 4111)
@@ -526,19 +526,22 @@
   // Upload Results
   // -------------
-  _uploadTable = new QTableWidget(0,9);
-  _uploadTable->setHorizontalHeaderLabels(QString("Host, Port, Mount, Password, System, CoM, SP3 File, RNX File, bytes").split(","));
+  _uploadTable = new QTableWidget(0,12);
+  _uploadTable->setHorizontalHeaderLabels(QString("Host, Port, Mount, Password, System, CoM, SP3 File, RNX File, PID, SID, IOD, bytes").split(","));
   _uploadTable->setSelectionMode(QAbstractItemView::ExtendedSelection);
   _uploadTable->setSelectionBehavior(QAbstractItemView::SelectRows);
-  _uploadTable->horizontalHeader()->resizeSection(0,13*ww); 
-  _uploadTable->horizontalHeader()->resizeSection(1,5*ww); 
-  _uploadTable->horizontalHeader()->resizeSection(2,6*ww); 
-  _uploadTable->horizontalHeader()->resizeSection(3,8*ww); 
-  _uploadTable->horizontalHeader()->resizeSection(4,11*ww); 
-  _uploadTable->horizontalHeader()->resizeSection(5,4*ww); 
-  _uploadTable->horizontalHeader()->resizeSection(6,15*ww); 
-  _uploadTable->horizontalHeader()->resizeSection(7,15*ww); 
-  _uploadTable->horizontalHeader()->resizeSection(8,10*ww); 
+  _uploadTable->horizontalHeader()->resizeSection( 0,13*ww); 
+  _uploadTable->horizontalHeader()->resizeSection( 1, 5*ww); 
+  _uploadTable->horizontalHeader()->resizeSection( 2, 6*ww); 
+  _uploadTable->horizontalHeader()->resizeSection( 3, 8*ww); 
+  _uploadTable->horizontalHeader()->resizeSection( 4,11*ww); 
+  _uploadTable->horizontalHeader()->resizeSection( 5, 4*ww); 
+  _uploadTable->horizontalHeader()->resizeSection( 6,15*ww); 
+  _uploadTable->horizontalHeader()->resizeSection( 7,15*ww); 
+  _uploadTable->horizontalHeader()->resizeSection( 8, 4*ww); 
+  _uploadTable->horizontalHeader()->resizeSection( 9, 4*ww); 
+  _uploadTable->horizontalHeader()->resizeSection(10, 4*ww); 
+  _uploadTable->horizontalHeader()->resizeSection(11,12*ww); 
   _uploadTable->horizontalHeader()->setResizeMode(QHeaderView::Interactive);
-  _uploadTable->horizontalHeader()->setStretchLastSection(true);
+  ///  _uploadTable->horizontalHeader()->setStretchLastSection(true);
   _uploadTable->horizontalHeader()->setDefaultAlignment(Qt::AlignLeft);
 
@@ -2392,5 +2395,5 @@
       _uploadTable->setCellWidget(iRow, iCol, com);
     }
-    else if (iCol == 8) {
+    else if (iCol == 11) {
       bncTableItem* bncIt = new bncTableItem();
       bncIt->setFlags(bncIt->flags() & ~Qt::ItemIsEditable);
@@ -2425,5 +2428,5 @@
   for (int iRow = 0; iRow < _uploadTable->rowCount(); iRow++) {
     ((bncApp*)qApp)->_uploadTableItems[iRow] = 
-                                (bncTableItem*) _uploadTable->item(iRow, 8);
+                                (bncTableItem*) _uploadTable->item(iRow, 11);
   }
   nRows = _uploadTable->rowCount();
@@ -2475,5 +2478,5 @@
         _uploadTable->setCellWidget(iRow, iCol, com);
       }
-      else if (iCol == 8) {
+      else if (iCol == 11) {
         bncTableItem* bncIt = new bncTableItem();
         bncIt->setFlags(bncIt->flags() & ~Qt::ItemIsEditable);
Index: /trunk/BNC/upload/bncrtnetdecoder.cpp
===================================================================
--- /trunk/BNC/upload/bncrtnetdecoder.cpp	(revision 4110)
+++ /trunk/BNC/upload/bncrtnetdecoder.cpp	(revision 4111)
@@ -60,8 +60,21 @@
       int  outPort = hlp[1].toInt();
       bool CoM     = (hlp[5].toInt() == Qt::Checked);
+      int PID = 0;
+      if (hlp.size() > 8) {
+        PID = hlp[8].toInt();
+      }
+      int SID = 0;
+      if (hlp.size() > 9) {
+        SID = hlp[9].toInt();
+      }
+      int IOD = 0;
+      if (hlp.size() > 10) {
+        IOD = hlp[10].toInt();
+      }
       bncRtnetUploadCaster* newCaster = new bncRtnetUploadCaster(
                                                        hlp[2], hlp[0], outPort, 
                                                        hlp[3], hlp[4], CoM,
-                                                       hlp[6], hlp[7], "", iRow);
+                                                       hlp[6], hlp[7], "", 
+                                                       PID, SID, IOD, iRow);
       newCaster->start();
       _casters.push_back(newCaster);
Index: /trunk/BNC/upload/bncrtnetuploadcaster.cpp
===================================================================
--- /trunk/BNC/upload/bncrtnetuploadcaster.cpp	(revision 4110)
+++ /trunk/BNC/upload/bncrtnetuploadcaster.cpp	(revision 4111)
@@ -32,9 +32,13 @@
                                  const QString& sp3FileName,
                                  const QString& rnxFileName,
-                                 const QString& outFileName, int iRow) :
+                                 const QString& outFileName, 
+                                 int PID, int SID, int IOD, int iRow) :
   bncUploadCaster(mountpoint, outHost, outPort, password, iRow, 0) {
 
   _crdTrafo   = crdTrafo;
   _CoM        = CoM;
+  _PID        = PID;
+  _SID        = SID;
+  _IOD        = IOD;
 
   // Member that receives the ephemeris
@@ -256,7 +260,7 @@
   co.OrbitDataSupplied = 1;
   co.SatRefDatum       = DATUM_ITRF;
-  co.SSRIOD            =   0;
-  co.SSRProviderID     = 256; // 256 .. BKG,  257 ... EUREF
-  co.SSRSolutionID     =   1;
+  co.SSRIOD            = _IOD;
+  co.SSRProviderID     = _PID; // 256 .. BKG,  257 ... EUREF
+  co.SSRSolutionID     = _SID;
   
   struct Bias bias;
Index: /trunk/BNC/upload/bncrtnetuploadcaster.h
===================================================================
--- /trunk/BNC/upload/bncrtnetuploadcaster.h	(revision 4110)
+++ /trunk/BNC/upload/bncrtnetuploadcaster.h	(revision 4111)
@@ -24,5 +24,6 @@
                   const QString& sp3FileName,
                   const QString& rnxFileName,
-                  const QString& outFileName, int iRow);
+                  const QString& outFileName,
+                  int PID, int SID, int IOD, int iRow);
   void decodeRtnetStream(char* buffer, int bufLen);
  protected:
@@ -40,4 +41,7 @@
   QString        _crdTrafo;
   bool           _CoM;
+  int            _PID;
+  int            _SID;
+  int            _IOD;
   double         _samplOrb;
   double         _dx;